# sf::Ftp::Ftp::Response Class Reference

This class wraps a FTP response, which is basically :

- a status code
- a message.

More...

`#include <Ftp.hpp>`

Inheritance diagram for sf::Ftp::Ftp::Response:

List of all members.

## Public Types

enum

Status {
RestartMarkerReply = 110,
ServiceReadySoon = 120,
DataConnectionAlreadyOpened = 125,
OpeningDataConnection = 150,
Ok = 200,
PointlessCommand = 202,
SystemStatus = 211,
DirectoryStatus = 212,
FileStatus = 213,
HelpMessage = 214,
SystemType = 215,
ServiceReady = 220,
ClosingConnection = 221,
DataConnectionOpened = 225,
ClosingDataConnection = 226,
EnteringPassiveMode = 227,
LoggedIn = 230,
FileActionOk = 250,
DirectoryOk = 257,
NeedPassword = 331,
NeedAccountToLogIn = 332,
NeedInformation = 350,
ServiceUnavailable = 421,
DataConnectionUnavailable = 425,
TransferAborted = 426,
FileActionAborted = 450,
LocalError = 451,
InsufficientStorageSpace = 452,
CommandUnknown = 500,
ParametersUnknown = 501,
CommandNotImplemented = 502,
BadCommandSequence = 503,
ParameterNotImplemented = 504,
NotLoggedIn = 530,
NeedAccountToStore = 532,
FileUnavailable = 550,
PageTypeUnknown = 551,
NotEnoughMemory = 552,
FilenameNotAllowed = 553,
InvalidResponse = 1000,
ConnectionFailed = 1001,
ConnectionClosed = 1002,
InvalidFile = 1003
}

| Enumerate all the valid status codes returned in a FTP response. More...

## Public Member Functions

| Response (Status Code=InvalidResponse, const std::string &Message="")
| Default constructor.
bool | IsOk () const
| Convenience function to check if the response status code means a success.
Status | GetStatus () const
| Get the response status code.
const std::string & | GetMessage () const
| Get the full message contained in the response.

## Detailed Description

This class wraps a FTP response, which is basically :

- a status code
- a message.

Definition at line 66 of file Ftp.hpp.

## Member Enumeration Documentation

enum sf::Ftp::Response::Status

Enumerate all the valid status codes returned in a FTP response.

Enumerator:

  RestartMarkerReply | Restart marker reply.
  ServiceReadySoon | Service ready in N minutes.
  DataConnectionAlreadyOpened | Data connection already opened, transfer starting.
  OpeningDataConnection | File status ok, about to open data connection.
  Ok | Command ok.
  PointlessCommand | Command not implemented.
  SystemStatus | System status, or system help reply.
  DirectoryStatus | Directory status.
  FileStatus | File status.
  HelpMessage | Help message.
  SystemType | NAME system type, where NAME is an official system name from the list in the Assigned Numbers document.
  ServiceReady | Service ready for new user.
  ClosingConnection | Service closing control connection.
  DataConnectionOpened | Data connection open, no transfer in progress.
  ClosingDataConnection | Closing data connection, requested file action successful.
  EnteringPassiveMode | Entering passive mode.
  LoggedIn | User logged in, proceed. Logged out if appropriate.
  FileActionOk | Requested file action ok.
  DirectoryOk | PATHNAME created.
  NeedPassword | User name ok, need password.
  NeedAccountToLogIn | Need account for login.
  NeedInformation | Requested file action pending further information.
  ServiceUnavailable | Service not available, closing control connection.
  DataConnectionUnavailable | Can't open data connection.
  TransferAborted | Connection closed, transfer aborted.
  FileActionAborted | Requested file action not taken.
  LocalError | Requested action aborted, local error in processing.
  InsufficientStorageSpace | Requested action not taken; insufficient storage space in system, file unavailable.
  CommandUnknown | Syntax error, command unrecognized.
  ParametersUnknown | Syntax error in parameters or arguments.
  CommandNotImplemented | Command not implemented.
  BadCommandSequence | Bad sequence of commands.
  ParameterNotImplemented | Command not implemented for that parameter.
  NotLoggedIn | Not logged in.
  NeedAccountToStore | Need account for storing files.
  FileUnavailable | Requested action not taken, file unavailable.
  PageTypeUnknown | Requested action aborted, page type unknown.
  NotEnoughMemory | Requested file action aborted, exceeded storage allocation.
  FilenameNotAllowed | Requested action not taken, file name not allowed.
  InvalidResponse | Response is not a valid FTP one.
  ConnectionFailed | Connection with server failed.
  ConnectionClosed | Connection with server closed.
  InvalidFile | Invalid file to upload / download.

Definition at line 74 of file Ftp.hpp.

## Constructor & Destructor Documentation

sf::Ftp::Ftp::Response::Response | ( | Status | Code = `InvalidResponse`,
|  | const std::string & | Message = `""` |
| ) |  |  |

Default constructor.

Parameters:

  | Code | : Response status code (InvalidResponse by default)
  | Message | : Response message (empty by default)

Definition at line 84 of file Ftp.cpp.

## Member Function Documentation

const std::string & sf::Ftp::Ftp::Response::GetMessage | ( |  | ) | const

Get the full message contained in the response.

Returns:
  The response message

Definition at line 114 of file Ftp.cpp.

Ftp::Response::Status sf::Ftp::Ftp::Response::GetStatus | ( |  | ) | const

Get the response status code.

Returns:
  Status code

Definition at line 105 of file Ftp.cpp.

bool sf::Ftp::Ftp::Response::IsOk | ( |  | ) | const

Convenience function to check if the response status code means a success.

Convenience function to check if the response status code means a success.

Returns:
  True if status is success (code < 400)

Definition at line 96 of file Ftp.cpp.

The documentation for this class was generated from the following files:

- Ftp.hpp
- Ftp.cpp